TrainingProject Files

Delete Training File

Remove an uploaded file and its indexed content from your knowledge base. **Permission required:** Training > Write

Remove an uploaded file and its indexed content from your knowledge base.

Permission required: Training > Write

POST
/deleteFile

Authorization

bearerToken

AuthorizationBearer <token>

API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.

In: header

Request Body

application/json

project_uid*string

Project identifier.

id*integer

File ID to delete.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.yourgpt.ai/chatbot/v1/deleteFile" \  -H "Content-Type: application/json" \  -d '{    "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",    "id": 7  }'
{
  "type": "RXSUCCESS",
  "message": "Data Deleted Successfully!"
}
{
  "type": "RXERROR",
  "message": "Not found"
}
{
  "type": "RXERROR",
  "message": "Invalid or expired API token"
}